QNPStream(3qt)

NAME
QNPStream - A stream of data provided to a QNPInstance by the browser [Qt NSPlugin Extension]

SYNOPSIS

#include <qnp.h>

  Public Members
~QNPStream ()
const char* url () const
uint end () const
uint lastModified () const
const char* type () const
bool seekable () const
bool okay () const
bool complete () const
void requestRead ( int offset, uint length )
int write ( int len, void * buffer )
QNPInstance* instance ()
QNPStream ( QNPInstance *, const char *, _NPStream *, bool )
void setOkay ( bool )
void setComplete ( bool )

DESCRIPTION
This class is defined in the Qt NSPlugin Extension, which can be found in the qt/extensions directory. It is not included in the main Qt API.

A stream of data provided to a QNPInstance by the browser.

Note that this is neither a QTextStream or a QDataStream.

See also: QNPInstance::write() and QNPInstance::newStreamCreated().

Examples: qtimage/qtimage.cpp grapher/grapher.cpp

MEMBER FUNCTION DOCUMENTATION

QNPStream::QNPStream ( QNPInstance * in,const char * mt, _NPStream * st, bool se )
Creates a stream. Plugins should not call this, but rather QNPInstance::newStream() if a stream is required.

QNPStream::~QNPStream ()
Destroys the stream.

bool QNPStream::complete () const
Returns TRUE if the stream has received all the data from the source.

uint QNPStream::end () const
Returns the length of the stream (???).

QNPInstance* QNPStream::instance ()
Returns the QNPInstance for which this stream was created.

uint QNPStream::lastModified () const
Returns the time when the source of the stream was last modified.

bool QNPStream::okay () const
Returns TRUE if no errors have occurred on the stream.

void QNPStream::requestRead ( int offset, uint length )
Requests the given section of the stream be sent to the QNPInstance::write() function of the instance() of this stream.

See also: Netscape: NPN_RequestRead method

bool QNPStream::seekable () const
Returns TRUE if the stream is seekable.

void QNPStream::setComplete ( bool y )
For internal use only.

void QNPStream::setOkay ( bool y )
For internal use only.

const char* QNPStream::type () const
Returns the MIME type of the stream.

const char* QNPStream::url () const
Returns the URL from which the stream was created.

int QNPStream::write ( int len, void * buffer )
Writes data to the stream.

See also: Netscape: NPN_Write method

SEE ALSO
http://www.troll.no/qt/qnpstream.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.